%global srcname iconv


Name:       erlang-%{srcname}
Version:    1.0.1
Release:    1%{?dist}

Summary:    Fast encoding conversion library for Erlang / Elixir
License:    ASL 2.0
URL:        https://github.com/processone/iconv/
Source0:    https://github.com/processone/iconv/archive/%{version}.tar.gz

Provides:   erlang-p1_iconv = %{version}-%{release}
Obsoletes:  erlang-p1_iconv <= 1.0.0-2

BuildRequires: erlang-p1_utils >= 1.0.4
BuildRequires: erlang-rebar

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
Erlang bindings for libiconv. This is used by ejabberd.


%prep
%autosetup -n iconv-%{version}


%build
%configure --enable-nif
%{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/iconv.so $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.1-1
- Update to 1.0.1 (#1354087).

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-4
- Add a debuginfo package for the NIF code.

* Tue Mar 15 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-3
- Update to use the new Erlang macros.

* Thu Mar 10 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-2
- Initial release.
